<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pindah_sekolahs', function (Blueprint $table) {
            $table->increments('id_pindah_sekolah');
            $table->integer('id_siswa')->unsigned();
            $table->date('tanggal');
            $table->string('hari', 50);
            $table->text('keterangan')->nullable();
            $table->string('tujuan');
            $table->string('nomor_surat')->nullable();
            $table->foreign('id_siswa')->references('id_siswa')->on('siswas')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pindah_sekolah');
    }
};
